## captureAllKeys

### Syntax:

    captureAllKeys (onOff);

### Purpose:

Turns on and off capturing of all keypresses, including Alt, Shift, Caps Lock, Scroll Lock and so on. Whenever a keypress is detected, your current keyboard handler is called (as specified by the onKeyboard function).

Passing in a Boolean value of FALSE turns off capture of these extended keys... passing in TRUE turns capture of every single keypress on. By default, capture of all keys is off.

If extended key capture is on, whenever an extended key is pressed your keyboard handler function will be passed a string containing a 4-digit number, representing the key that has been pressed. If extended key capture is off, your game will not react to extended keypresses. In either case, your game will continue to react to standard keypresses, as described on the onKeyboard page.

### Return value:

No return value.

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012